|  | Home

# QtKeySequencePropertyManager Class Reference

The QtKeySequencePropertyManager provides and manages QKeySequence properties. More...

     #include <QtKeySequencePropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

## Public Functions

| QtKeySequencePropertyManager ( QObject * parent = 0 )
| ~QtKeySequencePropertyManager ()
QKeySequence | value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

## Public Slots

void | setValue ( QtProperty * property, const QKeySequence & value )

- 1 public slot inherited from QObject

## Signals

void | valueChanged ( QtProperty * property, const QKeySequence & value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

## Reimplemented Protected Functions

virtual void | initializeProperty ( QtProperty * property )
virtual void | uninitializeProperty ( QtProperty * property )
virtual QString | valueText ( const QtProperty * property ) const

- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtKeySequencePropertyManager provides and manages QKeySequence properties.

A key sequence's value can be retrieved using the value() function, and set using the setValue() slot.

In addition, QtKeySequencePropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes.

See also QtAbstractPropertyManager.

## Member Function Documentation

### QtKeySequencePropertyManager::QtKeySequencePropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtKeySequencePropertyManager::~QtKeySequencePropertyManager ()

Destroys this manager, and all the properties it has created.

### void QtKeySequencePropertyManager::initializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::initializeProperty().

### void QtKeySequencePropertyManager::setValue ( QtProperty * property, const QKeySequence & value ) `[slot]`

Sets the value of the given property to value.

See also value() and valueChanged().

### void QtKeySequencePropertyManager::uninitializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::uninitializeProperty().

### QKeySequence QtKeySequencePropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns an empty QKeySequence object.

See also setValue().

### void QtKeySequencePropertyManager::valueChanged ( QtProperty * property, const QKeySequence & value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.

### QString QtKeySequencePropertyManager::valueText ( const QtProperty * property ) const `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::valueText().